version 13.1

/* Andrew Noymer + Viola Van... based on in part on Noymer/Vaisenberg earlier work */

/* do file to count concordant co-movements */
  
clear

cd data_working/E0per

forvalues i = 1/40 {
   insheet using `i'.RAW_25
   drop v4
   ren v1 year
   ren v2 female
   ren v3 male
   sort year
   gen male_offset = male[_n-1]
   gen byte change_male=sign(male-male_offset)
   replace change_male=0 if change_male<0
   gen female_offset = female[_n-1]
   gen byte change_female=sign(female-female_offset)
   replace change_female=0 if change_female<0
   gen U = change_male[_n+1] 
   /* gen U = change_P0_1[_n+1]    */
   gen V = change_female[_n+1]
   drop if U==.
   drop if V==.
   quietly tab U V, matcell(A)
/* see G-G article, page 12
   a is the element where U=1&V=1
   b is the element where U=1&V=0
   c is the element where U=0&V=1
   d is the element where U=0&V=0
*/
local a = el(A,2,2)
local b = el(A,2,1)
local c = el(A,1,2)
local d = el(A,1,1)
local N=`a'+`b'+`c'+`d'
disp "proportion: ", %5.3f (`a'+`d')/`N'
clear
 }

cd ../..
