#!/bin/bash

# country sort order is:

#  1  Australia            
#  2  Austria              
#  3  Belarus              
#  4  Belgium              
#  5  Bulgaria             
#  6  Canada               
#  7  Chile                
#  8  Czech Republic     
#  9  Denmark              
# 10  Estonia              
# 11  Finland              
# 12  France               
# 13  GDR                  
# 14  FRG                  
# 15  Hungary              
# 16  Ireland              
# 17  Iceland              
# 18  Israel               
# 19  Italy                
# 20  Japan                
# 21  Latvia               
# 22  Lithuania            
# 23  Luxemburg            
# 24  Netherlands          
# 25  New Zealand          
# 26  Norway               
# 27  Poland               
# 28  Portugal             
# 29  Russia               
# 30  Slovakia             
# 31  Slovenia             
# 32  Spain                
# 33  Sweden               
# 34  Switzerland          
# 35  Taiwan               
# 36  England and Wal    
# 37  Scotland             
# 38  Northern Ireland   
# 39  Ukraine              
# 40  United States      

# grep -Ax prints the mathcing line plus x subsequent, so use
# -A24 for 25 lines of total output...

grep -A24 ^1945  AUS.E0per.raw | awk -f whitespace_to_comma.awk >| 1.RAW_25
grep -A24 ^1949  AUT.E0per.raw | awk -f whitespace_to_comma.awk >| 2.RAW_25
grep -A24 ^1987  BLR.E0per.raw | awk -f whitespace_to_comma.awk >| 3.RAW_25
grep -A24 ^1920  belgium_new_2.raw | grep -v NaN | awk -f whitespace_to_comma.awk >| 4.RAW_25
grep -A24 ^1970  BGR.E0per.raw | awk -f whitespace_to_comma.awk >| 5.RAW_25
grep -A24 ^1936  CAN.E0per.raw | awk -f whitespace_to_comma.awk >| 6.RAW_25
grep -A24 ^1992  CHL.E0per.raw | awk -f whitespace_to_comma.awk >| 7.RAW_25
grep -A24 ^1952  CZE.E0per.raw | awk -f whitespace_to_comma.awk >| 8.RAW_25
grep -A24 ^1950  DNK.E0per.raw | awk -f whitespace_to_comma.awk >| 9.RAW_25
grep -A24 ^1971  EST.E0per.raw | awk -f whitespace_to_comma.awk >| 10.RAW_25
grep -A24 ^1917  FIN.E0per.raw | awk -f whitespace_to_comma.awk >| 11.RAW_25
grep -A24 ^1891  FRATNP.E0per.raw | awk -f whitespace_to_comma.awk >| 12.RAW_25
grep -A24 ^1970  DEUTE.E0per.raw | awk -f whitespace_to_comma.awk >| 13.RAW_25
grep -A24 ^1987  DEUTW.E0per.raw | awk -f whitespace_to_comma.awk >| 14.RAW_25
grep -A24 ^1968  HUN.E0per.raw | awk -f whitespace_to_comma.awk >| 15.RAW_25
grep -A24 ^1950  IRL.E0per.raw | awk -f whitespace_to_comma.awk >| 16.RAW_25
grep -A24 ^1867  ISL.E0per.raw | awk -f whitespace_to_comma.awk >| 17.RAW_25
grep -A24 ^1983  ISR.E0per.raw | awk -f whitespace_to_comma.awk >| 18.RAW_25
grep -A24 ^1893  ITA.E0per.raw | awk -f whitespace_to_comma.awk >| 19.RAW_25
grep -A24 ^1951  JPN.E0per.raw | awk -f whitespace_to_comma.awk >| 20.RAW_25
grep -A24 ^1970  LVA.E0per.raw | awk -f whitespace_to_comma.awk >| 21.RAW_25
grep -A24 ^1960  LTU.E0per.raw | awk -f whitespace_to_comma.awk >| 22.RAW_25
grep -A24 ^1977  LUX.E0per.raw | awk -f whitespace_to_comma.awk >| 23.RAW_25
grep -A24 ^1921  NLD.E0per.raw | awk -f whitespace_to_comma.awk >| 24.RAW_25
grep -A24 ^1949  NZL_NP.E0per.raw | awk -f whitespace_to_comma.awk >| 25.RAW_25
grep -A24 ^1949  NOR.E0per.raw | awk -f whitespace_to_comma.awk >| 26.RAW_25
grep -A24 ^1967  POL.E0per.raw | awk -f whitespace_to_comma.awk >| 27.RAW_25
grep -A24 ^1942  PRT.E0per.raw | awk -f whitespace_to_comma.awk >| 28.RAW_25
grep -A24 ^1970  RUS.E0per.raw | awk -f whitespace_to_comma.awk >| 29.RAW_25
grep -A24 ^1954  SVK.E0per.raw | awk -f whitespace_to_comma.awk >| 30.RAW_25
grep -A24 ^1985  SVN.E0per.raw | awk -f whitespace_to_comma.awk >| 31.RAW_25
grep -A24 ^1913  ESP.E0per.raw | awk -f whitespace_to_comma.awk >| 32.RAW_25
grep -A24 ^1954  SWE.E0per.raw | awk -f whitespace_to_comma.awk >| 33.RAW_25
grep -A24 ^1894  CHE.E0per.raw | awk -f whitespace_to_comma.awk >| 34.RAW_25
grep -A24 ^1982  TWN.E0per.raw | awk -f whitespace_to_comma.awk >| 35.RAW_25
grep -A24 ^1893  GBRTENW.E0per.raw | awk -f whitespace_to_comma.awk >| 36.RAW_25
grep -A24 ^1918  GBR_SCO.E0per.raw | awk -f whitespace_to_comma.awk >| 37.RAW_25
grep -A24 ^1937  GBR_NIR.E0per.raw | awk -f whitespace_to_comma.awk >| 38.RAW_25
grep -A24 ^1972  UKR.E0per.raw | awk -f whitespace_to_comma.awk >| 39.RAW_25
grep -A24 ^1933  USA.E0per.raw | awk -f whitespace_to_comma.awk >| 40.RAW_25

