#!/bin/bash

# version 0.1
# Andrew Noymer
# quick + dirty script file to:
#  i)  strip non-data lines off HMD files
#  ii) pre-pend a line count to those files
# 
#  The rationale for (i) is obvious.  
#  The rationale for (ii) is that IDL needs to know
#     how long the data structures are, that it is reading
#

for country in *.mid 
do
    BASE=`basename $country .mid`
    # remove lines with text, and without numbers: 
    grep -v [a-Z] $country | grep [0-9]  >| $BASE.TEMP
    # not sure if there is a more direct way to do this:
    echo `wc -l $BASE.TEMP | awk '{print $1}'` >| $BASE.NUMLINES
    cat $BASE.NUMLINES $BASE.TEMP >| $BASE.raw
    # clean up:
    /bin/rm $BASE.NUMLINES $BASE.TEMP
done
